<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_header_banner"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:scaleType="centerCrop" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:padding="@dimen/margin_1x_size">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_header_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Why Using Rik Reay Plan?"
                    android:textColor="@color/colorPrimary"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_header_subTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_1x_size"
                    android:layout_marginBottom="@dimen/margin_1x_size"
                    android:text="Why Using Rik Reay Plan?"
                    android:textColor="@color/colorBlue"
                    android:textStyle="bold" />

                <WebView
                    android:id="@+id/tv_header_description"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/iv_sub_header"
                    android:layout_width="match_parent"
                    android:layout_height="50dp" />

                <WebView
                    android:id="@+id/tv_sub_header_subTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_content_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Extra Benefit"
                    android:textColor="@color/colorBlue"
                    android:textStyle="bold" />

                <!--<com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_sub_content_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />-->

                <WebView
                    android:id="@+id/mWebView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />


                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_table_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/margin_2x_size"
                    android:layout_marginBottom="@dimen/margin_1x_size"
                    android:text="check out the table below for more service fees:"
                    android:textColor="@color/colorPrimary"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/margin_2x_size"
                    android:layout_marginEnd="@dimen/margin_2x_size"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/bg_table_gradient"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:padding="@dimen/margin_2x_size">

                            <com.seatel.mobilehall.util.customview.CustomTextView
                                android:id="@+id/tv_table_left"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:ellipsize="end"
                                android:maxLines="1"
                                android:text="@string/service"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:padding="@dimen/margin_2x_size">

                            <com.seatel.mobilehall.util.customview.CustomTextView
                                android:id="@+id/tv_table_right"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:ellipsize="end"
                                android:maxLines="1"
                                android:text="@string/charging_rate"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                android:textStyle="bold" />

                        </LinearLayout>

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/mRecyclerTable"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:nestedScrollingEnabled="false"
                        android:orientation="vertical"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                        tools:itemCount="2"
                        tools:listitem="@layout/rik_reay_item" />


                </LinearLayout>

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/last_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_2x_size"
                    android:text="How To Subscribe Rik Reay Plan"
                    android:textColor="@color/colorBlue"
                    android:textStyle="bold" />

                <WebView
                    android:id="@+id/last_sub_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />


            </LinearLayout>


        </LinearLayout>

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>